# Generated from w3css_rails-4.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name w3css_rails

Name: rubygem-%{gem_name}
Version: 4.0.0
Release: 1%{?dist}
Summary: A gem whih provides w3.css library
License: MIT
URL: https://github.com/akashpinnaka/w3css_rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
W3.CSS is a modern CSS framework with built-in responsiveness. Smaller and
faster than any other CSS frameworks. Easier to learn, and easier to use than
any other CSS frameworks. Better cross-browser compatibility than any other
CSS frameworks. Uses standard CSS only (No jQuery or JavaScript library).
Supports modern responsive mobile first design by default. Provides CSS
equality for all browsers: Chrome, Firefox, Edge, IE, Safari, Opera. Provides
CSS equality for all devices: desktop, laptop, tablet, and mobile. Speeds up
and simplifies web development.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/w3css_rails.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 4.0.0-1
- Initial package
